Index: pykota/trunk/man/de/edpykota.1
===================================================================
--- pykota/trunk/man/de/edpykota.1 (revision 3485)
+++ pykota/trunk/man/de/edpykota.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH EDPYKOTA "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH EDPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota (PyKota) 1.27alpha7_unofficial
+edpykota \- page de manuel de edpykota (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B edpykota
@@ -58,4 +58,12 @@
 Display detailed informations about the specified
 users or groups print quota entries.
+.TP
+\fB\-m\fR MAXJOBSIZE, \fB\-\-maxjobsize\fR=\fIMAXJOBSIZE\fR
+Set the maximum job size in pages the specified users
+are allowed to print to the specified printers in a
+single job. Accepted values are '0' to forbid
+printing, 'unlimited' to allow unrestricted printing,
+or any positive integer value. This option is not
+supported for users groups.
 .TP
 \fB\-n\fR, \fB\-\-noquota\fR
@@ -123,5 +131,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pkinvoice.1
===================================================================
--- pykota/trunk/man/de/pkinvoice.1 (revision 3485)
+++ pykota/trunk/man/de/pkinvoice.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKINVOICE "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKINVOICE "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkinvoice \- page de manuel de pkinvoice (PyKota) 1.27alpha7_unofficial
+pkinvoice \- page de manuel de pkinvoice (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkinvoice
@@ -89,5 +89,5 @@
 licensing terms:
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/man/de/pykotme.1
===================================================================
--- pykota/trunk/man/de/pykotme.1 (revision 3485)
+++ pykota/trunk/man/de/pykotme.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PYKOTME "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PYKOTME "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme (PyKota) 1.27alpha7_unofficial
+pykotme \- page de manuel de pykotme (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pykotme
@@ -44,5 +44,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pkbcodes.1
===================================================================
--- pykota/trunk/man/de/pkbcodes.1 (revision 3485)
+++ pykota/trunk/man/de/pkbcodes.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKBCODES "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKBCODES "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbcodes \- page de manuel de pkbcodes (PyKota) 1.27alpha7_unofficial
+pkbcodes \- page de manuel de pkbcodes (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkbcodes
@@ -56,5 +56,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pksetup.1
===================================================================
--- pykota/trunk/man/de/pksetup.1 (revision 3485)
+++ pykota/trunk/man/de/pksetup.1 (revision 3550)
@@ -1,4 +1,4 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKSETUP "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKSETUP "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pksetup \- page de manuel de pksetup 0.1
Index: pykota/trunk/man/de/pkusers.1
===================================================================
--- pykota/trunk/man/de/pkusers.1 (revision 3485)
+++ pykota/trunk/man/de/pkusers.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKUSERS "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKUSERS "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkusers \- page de manuel de pkusers (PyKota) 1.27alpha7_unofficial
+pkusers \- page de manuel de pkusers (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkusers
@@ -118,5 +118,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pkturnkey.1
===================================================================
--- pykota/trunk/man/de/pkturnkey.1 (revision 3485)
+++ pykota/trunk/man/de/pkturnkey.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKTURNKEY "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKTURNKEY "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkturnkey \- page de manuel de pkturnkey (PyKota) 1.27alpha7_unofficial
+pkturnkey \- page de manuel de pkturnkey (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkturnkey
@@ -81,5 +81,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/repykota.1
===================================================================
--- pykota/trunk/man/de/repykota.1 (revision 3485)
+++ pykota/trunk/man/de/repykota.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH REPYKOTA "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH REPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota (PyKota) 1.27alpha7_unofficial
+repykota \- page de manuel de repykota (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B repykota
@@ -49,5 +49,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/warnpykota.1
===================================================================
--- pykota/trunk/man/de/warnpykota.1 (revision 3485)
+++ pykota/trunk/man/de/warnpykota.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH WARNPYKOTA "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH WARNPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota (PyKota) 1.27alpha7_unofficial
+warnpykota \- page de manuel de warnpykota (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B warnpykota
@@ -47,5 +47,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pkbanner.1
===================================================================
--- pykota/trunk/man/de/pkbanner.1 (revision 3485)
+++ pykota/trunk/man/de/pkbanner.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKBANNER "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKBANNER "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner (PyKota) 1.27alpha7_unofficial
+pkbanner \- page de manuel de pkbanner (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkbanner
@@ -45,5 +45,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/autopykota.1
===================================================================
--- pykota/trunk/man/de/autopykota.1 (revision 3485)
+++ pykota/trunk/man/de/autopykota.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH AUTOPYKOTA "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH AUTOPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota (PyKota) 1.27alpha7_unofficial
+autopykota \- page de manuel de autopykota (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B autopykota
@@ -38,5 +38,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pkprinters.1
===================================================================
--- pykota/trunk/man/de/pkprinters.1 (revision 3485)
+++ pykota/trunk/man/de/pkprinters.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKPRINTERS "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKPRINTERS "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters (PyKota) 1.27alpha7_unofficial
+pkprinters \- page de manuel de pkprinters (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkprinters
@@ -55,5 +55,7 @@
 \fB\-m\fR MAXJOBSIZE, \fB\-\-maxjobsize\fR=\fIMAXJOBSIZE\fR
 Set the maximum job size in pages allowed on the
-specified printers.
+specified printers. Accepted values are '0' to forbid
+printing, 'unlimited' to allow unrestricted printing,
+or any positive integer value.
 .TP
 \fB\-n\fR, \fB\-\-nopassthrough\fR
@@ -97,5 +99,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/pykosd.1
===================================================================
--- pykota/trunk/man/de/pykosd.1 (revision 3485)
+++ pykota/trunk/man/de/pykosd.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PYKOSD "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PYKOSD "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd (PyKota) 1.27alpha7_unofficial
+pykosd \- page de manuel de pykosd (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pykosd
@@ -46,5 +46,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/de/dumpykota.1
===================================================================
--- pykota/trunk/man/de/dumpykota.1 (revision 3485)
+++ pykota/trunk/man/de/dumpykota.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH DUMPYKOTA "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH DUMPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota (PyKota) 1.27alpha7_unofficial
+dumpykota \- page de manuel de dumpykota (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B dumpykota
@@ -109,5 +109,5 @@
 licensing terms:
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/man/de/pkrefund.1
===================================================================
--- pykota/trunk/man/de/pkrefund.1 (revision 3485)
+++ pykota/trunk/man/de/pkrefund.1 (revision 3550)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKREFUND "1" "janvier 2009" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
+.TH PKREFUND "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkrefund \- page de manuel de pkrefund (PyKota) 1.27alpha7_unofficial
+pkrefund \- page de manuel de pkrefund (PyKota) 1.27alpha13_unofficial
 .SH SYNOPSIS
 .B pkrefund
@@ -119,5 +119,5 @@
 licensing terms:
 .IP
-(c) 2003\-2009 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by