Index: pykota/trunk/man/pt/edpykota.1
===================================================================
--- pykota/trunk/man/pt/edpykota.1 (revision 3550)
+++ pykota/trunk/man/pt/edpykota.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH EDPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH EDPYKOTA "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota (PyKota) 1.27alpha13_unofficial
+edpykota \- page de manuel de edpykota (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B edpykota
@@ -131,5 +131,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pkinvoice.1
===================================================================
--- pykota/trunk/man/pt/pkinvoice.1 (revision 3550)
+++ pykota/trunk/man/pt/pkinvoice.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKINVOICE "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKINVOICE "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkinvoice \- page de manuel de pkinvoice (PyKota) 1.27alpha13_unofficial
+pkinvoice \- page de manuel de pkinvoice (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkinvoice
@@ -23,5 +23,5 @@
 The image to use as a logo. The logo will be drawn at
 the center top of the page. The default logo is
-/usr/share/pykota/logos/pykota.jpeg.
+\fI/usr/share/pykota/logos/pykota.jpeg\fP.
 .TP
 \fB\-p\fR PAGESIZE, \fB\-\-pagesize\fR=\fIPAGESIZE\fR
@@ -82,5 +82,5 @@
 examples:
 .IP
-pkinvoice \fB\-\-unit\fR EURO \fB\-\-output\fR /tmp/invoices.pdf start=now\-30
+pkinvoice \fB\-\-unit\fR EURO \fB\-\-output\fR \fI/tmp/invoices.pdf\fP start=now\-30
 This would generate a PDF document containing invoices for all users
 who have spent some credits last month. Amounts would be in EURO and
@@ -89,5 +89,5 @@
 licensing terms:
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/man/pt/pykotme.1
===================================================================
--- pykota/trunk/man/pt/pykotme.1 (revision 3550)
+++ pykota/trunk/man/pt/pykotme.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PYKOTME "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PYKOTME "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme (PyKota) 1.27alpha13_unofficial
+pykotme \- page de manuel de pykotme (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pykotme
@@ -44,5 +44,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pkbcodes.1
===================================================================
--- pykota/trunk/man/pt/pkbcodes.1 (revision 3550)
+++ pykota/trunk/man/pt/pkbcodes.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKBCODES "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKBCODES "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbcodes \- page de manuel de pkbcodes (PyKota) 1.27alpha13_unofficial
+pkbcodes \- page de manuel de pkbcodes (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkbcodes
@@ -56,5 +56,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pksetup.1
===================================================================
--- pykota/trunk/man/pt/pksetup.1 (revision 3550)
+++ pykota/trunk/man/pt/pksetup.1 (revision 3561)
@@ -1,10 +1,11 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKSETUP "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKSETUP "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pksetup \- page de manuel de pksetup 0.1
+.SH SYNOPSIS
+.B pksetup
+\fIdistribution\fR
 .SH DESCRIPTION
 pksetup v0.1 (c) 2003\-2008 Jerome Alet \- alet@librelogiciel.com
-.PP
-usage : pksetup distribution
 .PP
 e.g. : pksetup debian
Index: pykota/trunk/man/pt/pkusers.1
===================================================================
--- pykota/trunk/man/pt/pkusers.1 (revision 3550)
+++ pykota/trunk/man/pt/pkusers.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKUSERS "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKUSERS "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkusers \- page de manuel de pkusers (PyKota) 1.27alpha13_unofficial
+pkusers \- page de manuel de pkusers (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkusers
@@ -118,5 +118,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pkturnkey.1
===================================================================
--- pykota/trunk/man/pt/pkturnkey.1 (revision 3550)
+++ pykota/trunk/man/pt/pkturnkey.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKTURNKEY "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKTURNKEY "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkturnkey \- page de manuel de pkturnkey (PyKota) 1.27alpha13_unofficial
+pkturnkey \- page de manuel de pkturnkey (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkturnkey
@@ -81,5 +81,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/repykota.1
===================================================================
--- pykota/trunk/man/pt/repykota.1 (revision 3550)
+++ pykota/trunk/man/pt/repykota.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH REPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH REPYKOTA "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota (PyKota) 1.27alpha13_unofficial
+repykota \- page de manuel de repykota (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B repykota
@@ -49,5 +49,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/warnpykota.1
===================================================================
--- pykota/trunk/man/pt/warnpykota.1 (revision 3550)
+++ pykota/trunk/man/pt/warnpykota.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH WARNPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH WARNPYKOTA "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota (PyKota) 1.27alpha13_unofficial
+warnpykota \- page de manuel de warnpykota (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B warnpykota
@@ -47,5 +47,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pkbanner.1
===================================================================
--- pykota/trunk/man/pt/pkbanner.1 (revision 3550)
+++ pykota/trunk/man/pt/pkbanner.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKBANNER "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKBANNER "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner (PyKota) 1.27alpha13_unofficial
+pkbanner \- page de manuel de pkbanner (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkbanner
@@ -23,5 +23,5 @@
 The image to use as a logo. The logo will be drawn at
 the center top of the page. The default logo is
-/usr/share/pykota/logos/pykota.jpeg.
+\fI/usr/share/pykota/logos/pykota.jpeg\fP.
 .TP
 \fB\-p\fR PAGESIZE, \fB\-\-pagesize\fR=\fIPAGESIZE\fR
@@ -45,5 +45,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/autopykota.1
===================================================================
--- pykota/trunk/man/pt/autopykota.1 (revision 3550)
+++ pykota/trunk/man/pt/autopykota.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH AUTOPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH AUTOPYKOTA "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota (PyKota) 1.27alpha13_unofficial
+autopykota \- page de manuel de autopykota (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B autopykota
@@ -38,5 +38,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pkprinters.1
===================================================================
--- pykota/trunk/man/pt/pkprinters.1 (revision 3550)
+++ pykota/trunk/man/pt/pkprinters.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKPRINTERS "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKPRINTERS "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters (PyKota) 1.27alpha13_unofficial
+pkprinters \- page de manuel de pkprinters (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkprinters
@@ -99,5 +99,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/pykosd.1
===================================================================
--- pykota/trunk/man/pt/pykosd.1 (revision 3550)
+++ pykota/trunk/man/pt/pykosd.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PYKOSD "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PYKOSD "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd (PyKota) 1.27alpha13_unofficial
+pykosd \- page de manuel de pykosd (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pykosd
@@ -46,5 +46,5 @@
 .SS "licensing terms:"
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the Free
Index: pykota/trunk/man/pt/dumpykota.1
===================================================================
--- pykota/trunk/man/pt/dumpykota.1 (revision 3550)
+++ pykota/trunk/man/pt/dumpykota.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH DUMPYKOTA "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH DUMPYKOTA "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota (PyKota) 1.27alpha13_unofficial
+dumpykota \- page de manuel de dumpykota (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B dumpykota
@@ -88,5 +88,5 @@
 examples:
 .IP
-dumpykota \fB\-\-unit\fR EURO \fB\-\-output\fR /tmp/invoices.pdf start=now\-30
+dumpykota \fB\-\-unit\fR EURO \fB\-\-output\fR \fI/tmp/invoices.pdf\fP start=now\-30
 This would generate a PDF document containing invoices for all users
 who have spent some credits last month. Amounts would be in EURO and
@@ -109,5 +109,5 @@
 licensing terms:
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/man/pt/pkrefund.1
===================================================================
--- pykota/trunk/man/pt/pkrefund.1 (revision 3550)
+++ pykota/trunk/man/pt/pkrefund.1 (revision 3561)
@@ -1,6 +1,6 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
-.TH PKREFUND "1" "aoÃ»t 2010" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.41.1.
+.TH PKREFUND "1" "janvier 2013" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkrefund \- page de manuel de pkrefund (PyKota) 1.27alpha13_unofficial
+pkrefund \- page de manuel de pkrefund (PyKota) 1.27alpha14_unofficial
 .SH SYNOPSIS
 .B pkrefund
@@ -39,5 +39,5 @@
 The image to use as a logo. The logo will be drawn at
 the center top of the page. The default logo is
-/usr/share/pykota/logos/pykota.jpeg.
+\fI/usr/share/pykota/logos/pykota.jpeg\fP.
 .TP
 \fB\-n\fR NUMBER, \fB\-\-number\fR=\fINUMBER\fR
@@ -98,7 +98,7 @@
 examples:
 .IP
-pkrefund \fB\-\-output\fR /tmp/receipts.pdf jobid=503
+pkrefund \fB\-\-output\fR \fI/tmp/receipts.pdf\fP jobid=503
 This would refund all jobs which Id is 503. A confirmation would be
-asked for each job to refund, and a PDF file named /tmp/receipts.pdf
+asked for each job to refund, and a PDF file named \fI/tmp/receipts.pdf\fP
 would be created containing printable receipts. BEWARE of job ids
 rolling over if you reset CUPS' history.
@@ -119,5 +119,5 @@
 licensing terms:
 .IP
-(c) 2003\-2010 Jerome Alet \- alet@librelogiciel.com
+(c) 2003\-2013 Jerome Alet \- alet@librelogiciel.com
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by