Index: pykoticon/trunk/tests/test.py
===================================================================
--- pykoticon/trunk/tests/test.py (revision 3480)
+++ pykoticon/trunk/tests/test.py (revision 3564)
@@ -4,5 +4,5 @@
 # PyKotIcon - Client side helper for PyKota and other applications
 #
-# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/TODO
===================================================================
--- pykoticon/trunk/TODO (revision 3480)
+++ pykoticon/trunk/TODO (revision 3564)
@@ -3,5 +3,5 @@
 PyKotIcon - Client side helper for PyKota and other applications
 
-(c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+(c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/setup.py
===================================================================
--- pykoticon/trunk/setup.py (revision 3480)
+++ pykoticon/trunk/setup.py (revision 3564)
@@ -6,5 +6,5 @@
 # PyKotIcon - Client side helper for PyKota and other applications
 #
-# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/bin/pykoticon
===================================================================
--- pykoticon/trunk/bin/pykoticon (revision 3480)
+++ pykoticon/trunk/bin/pykoticon (revision 3564)
@@ -6,5 +6,5 @@
 # PyKotIcon - Client side helper for PyKota and other applications
 #
-# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/bin/pykoticon.vbs
===================================================================
--- pykoticon/trunk/bin/pykoticon.vbs (revision 3480)
+++ pykoticon/trunk/bin/pykoticon.vbs (revision 3564)
@@ -1,5 +1,5 @@
 ' PyKotIcon - Client side helper for PyKota
 '
-' (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+' (c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 ' This program is free software; you can redistribute it and/or modify
 ' it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/clean.sh
===================================================================
--- pykoticon/trunk/clean.sh (revision 3439)
+++ pykoticon/trunk/clean.sh (revision 3564)
@@ -3,5 +3,5 @@
 # PyKotIcon - Client side helper for PyKota and other applications
 #
-# (c) 2005 Jerome Alet <alet@librelogiciel.com>
+# (c) 2005-2013 Jerome Alet <alet@librelogiciel.com>
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/man/genman.sh
===================================================================
--- pykoticon/trunk/man/genman.sh (revision 3480)
+++ pykoticon/trunk/man/genman.sh (revision 3564)
@@ -3,5 +3,5 @@
 # PyKotIcon - Client side helper for PyKota and other applications
 #
-# (c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+# (c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 # You're welcome to redistribute this software under the
 # terms of the GNU General Public Licence version 2.0
Index: pykoticon/trunk/NEWS
===================================================================
--- pykoticon/trunk/NEWS (revision 3480)
+++ pykoticon/trunk/NEWS (revision 3564)
@@ -3,5 +3,5 @@
 PyKotIcon - Client side helper for PyKota and other applications
 
-(c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+(c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/CREDITS
===================================================================
--- pykoticon/trunk/CREDITS (revision 3480)
+++ pykoticon/trunk/CREDITS (revision 3564)
@@ -3,5 +3,5 @@
 PyKotIcon - Client side helper for PyKota and other applications
 
-(c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+(c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykoticon/trunk/README
===================================================================
--- pykoticon/trunk/README (revision 3480)
+++ pykoticon/trunk/README (revision 3564)
@@ -3,5 +3,5 @@
 PyKotIcon - Client side helper for PyKota and other applications
 
-(c) 2003-2009 Jerome Alet <alet@librelogiciel.com>
+(c) 2003-2013 Jerome Alet <alet@librelogiciel.com>
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by