Index: pykota/branches/1.26_fixes/qa-assistant/pykota.xml
===================================================================
--- pykota/branches/1.26_fixes/qa-assistant/pykota.xml (revision 3212)
+++ pykota/branches/1.26_fixes/qa-assistant/pykota.xml (revision 3570)
@@ -43,5 +43,5 @@
       </states>
       <description>PyKota must be downloaded before being installed.
-        You can download its latest development tree with 
+        You can download its latest development tree with
         'svn export svn://svn.librelogiciel.com/pykota/trunk pykota'
       </description>
@@ -53,7 +53,7 @@
       prevent most of PyKota from working, but some functionnalities will
       be unavailable to you if they are not installed. You can see the
-      status for each of PyKota's dependencies with 
+      status for each of PyKota's dependencies with
       'python pykota/checkdeps.py'
-    </description>  
+    </description>
     <entry name="python-egenix-mxdatetime" display="true">
       <states>
@@ -62,5 +62,5 @@
       </states>
       <description>
-        python-egenix-mxdatetime is required for PyKota to work. 
+        python-egenix-mxdatetime is required for PyKota to work.
         You must install it with 'apt-get install python-egenix-mxdatetime'
       </description>
@@ -84,5 +84,5 @@
       </states>
       <description>
-        python-pygresql allows PyKota to use a PostgreSQL database backend. 
+        python-pygresql allows PyKota to use a PostgreSQL database backend.
         If this is what you want you must install it with 'apt-get install python-pygresql'
       </description>
@@ -95,5 +95,5 @@
       </states>
       <description>
-        python-ldap allows PyKota to use an LDAP database backend. 
+        python-ldap allows PyKota to use an LDAP database backend.
         If this is what you want you must install it with 'apt-get install python-ldap'
       </description>
@@ -106,5 +106,5 @@
       </states>
       <description>
-        python-mysqldb allows PyKota to use a MySQL database backend. 
+        python-mysqldb allows PyKota to use a MySQL database backend.
         If this is what you want you must install it with 'apt-get install python-mysqldb'
       </description>
@@ -117,5 +117,5 @@
       </states>
       <description>
-        python-pysqlite2 allows PyKota to use an SQLite database backend. 
+        python-pysqlite2 allows PyKota to use an SQLite database backend.
         If this is what you want you must install it with 'apt-get install python-pysqlite2'
       </description>
@@ -128,5 +128,5 @@
       </states>
       <description>
-        python-osd is only needed if you want to use the 'pykosd' utility, which is an X-Window 
+        python-osd is only needed if you want to use the 'pykosd' utility, which is an X-Window
         print quota reminded for end users.
         You can install it with 'apt-get install python-osd'
@@ -194,5 +194,5 @@
       <description>
         python-pam allows PyKota to check an user's name and password through PAM at printing time, provided you
-        use the PyKotIcon end user helper tool on all client hosts. 
+        use the PyKotIcon end user helper tool on all client hosts.
         If you don't have guest logins or people with administrator (or root) access on their own
         machine, you probably don't need this module.
@@ -227,23 +227,8 @@
       </description>
     </entry>
-    <entry name="python-psyco" display="true">
-      <states>
-        <state name="Pass">python-psyco is installed</state>
-        <state name="Fail">python-psyco is not installed</state>
-        <state name="Not-Applicable">python-psyco is not supported on this platform</state>
-      </states>
-      <description>
-        python-psyco is an accelerator module for the Python language which can make the parsing 
-        of Page Description Languages by pkpgcounter faster.
-        It is only supported on the x86 platform though, so if you use something else you
-        won't be able to install it.
-        It recommended but not necessary that you install it for PyKota to work.
-        You can install it with 'apt-get install python-psyco'
-      </description>
-    </entry>
   </category>
   <category name="Print Server Installation procedure">
     <description>PyKota needs to be installed on the CUPS server.
-    </description>  
+    </description>
     <entry name="Go to PyKota's download directory" display="true">
       <states>
@@ -315,5 +300,5 @@
       </states>
       <description>
-        Any user who with read access to ~pykota/pykotadmin.conf will be considered a PyKota 
+        Any user who with read access to ~pykota/pykotadmin.conf will be considered a PyKota
         administrator, with full read+write access to PyKota's database.
         Any user with read access to ~pykota/pykota.conf will have read access to PyKota's database. Access
@@ -376,4 +361,4 @@
       </description>
     </entry>
-  </category>  
+  </category>
 </checklist>