Index: /pykota/trunk/debian/control
===================================================================
--- /pykota/trunk/debian/control (revision 3413)
+++ /pykota/trunk/debian/control (revision 3571)
@@ -10,6 +10,6 @@
 Package: pykota
 Architecture: all
-Depends: python, python-egenix-mxdatetime, cupsys,  python-pygresql | python-ldap | python-pysqlite2 | python-mysqldb, jaxml | python-jaxml, python-osd, python-reportlab, python-pysnmp4, python-imaging
-Recommends: qa-assistant, snmp, netatalk, python-psyco, npadmin, python-pam
+Depends: python, python-egenix-mxdatetime, cups,  python-pygresql | python-ldap | python-pysqlite2 | python-mysqldb, jaxml | python-jaxml, python-osd, python-reportlab, python-pysnmp4, python-imaging
+Recommends: qa-assistant, snmp, netatalk, npadmin, python-pam
 Description: Print Quota/Accounting system for CUPS
  PyKota is a full featured, internationalized, centralized and extensible
Index: /pykota/trunk/docs/installation.sgml
===================================================================
--- /pykota/trunk/docs/installation.sgml (revision 3506)
+++ /pykota/trunk/docs/installation.sgml (revision 3571)
@@ -831,15 +831,4 @@
           <listitem>
             <para>
-              The Python acccelerator <application>Psyco</application>. It must match your default Python version.
-              You can download it from <ulink url="http://psyco.sourceforge.net">http://psyco.sourceforge.net</ulink>.
-              You only need this if you run on the <literal>x86</literal> architecture because
-              <application>Psyco</application> doesn't yet exist on
-              other architectures.
-              Feel free to install this or not. It might speedup the
-              parsing of some print jobs by <appname>PyKota</appname>.
-            </para>
-          </listitem>
-          <listitem>
-            <para>
               The <application>pysnmp</application> Python module version 4.x, or higher.
               You can download it from <ulink url="http://pysnmp.sourceforge.net">http://pysnmp.sourceforge.net</ulink>.
Index: /pykota/trunk/README
===================================================================
--- /pykota/trunk/README (revision 3560)
+++ /pykota/trunk/README (revision 3571)
@@ -183,20 +183,4 @@
 
 
-  On Intel i386 architecture, and for performance reasons, it is
-  suggested that you install the Python accelerator Psyco, available from :
-
-      http://psyco.sourceforge.net
-
-  Under Debian :
-
-      $ apt-get install python-psyco
-
-  Other architectures may be supported as well in the future, check
-  this on Psyco's website.
-
-  Installing Psyco is not mandatory, but may really speed the parsing
-  of some print jobs. Don't install it if you don't want or don't have a
-  supported architecture.
-
   You need to have the following tools installed on the database
   server :
Index: /pykota/trunk/bin/pksetup
===================================================================
--- /pykota/trunk/bin/pksetup (revision 3561)
+++ /pykota/trunk/bin/pksetup (revision 3571)
@@ -193,5 +193,4 @@
                  "python-reportlab-accel",
                  "python-pygresql",
-                 "python-psyco",
                  "python-osd",
                  "python-egenix-mxdatetime",
Index: /pykota/trunk/qa-assistant/pykota.xml
===================================================================
--- /pykota/trunk/qa-assistant/pykota.xml (revision 3413)
+++ /pykota/trunk/qa-assistant/pykota.xml (revision 3571)
@@ -213,19 +213,4 @@
       </description>
     </entry>
-    <entry name="python-psyco" display="true">
-      <states>
-        <state name="Pass">python-psyco is installed</state>
-        <state name="Fail">python-psyco is not installed</state>
-        <state name="Not-Applicable">python-psyco is not supported on this platform</state>
-      </states>
-      <description>
-        python-psyco is an accelerator module for the Python language which can make the parsing
-        of Page Description Languages by pkpgcounter faster.
-        It is only supported on the x86 platform though, so if you use something else you
-        won't be able to install it.
-        It recommended but not necessary that you install it for PyKota to work.
-        You can install it with 'apt-get install python-psyco'
-      </description>
-    </entry>
   </category>
   <category name="Print Server Installation procedure">